<!-- 江河水查看数据页面-->
<template>
  <div class="ele-body">
    <a-card :bordered="false">
      <!-- 搜索表单 -->
      <a-form :model="where" :label-col="{ md: { span: 8 }, sm: { span: 24 } }"
        :wrapper-col="{ md: { span: 16 }, sm: { span: 24 } }">
        <a-row>
          <a-form-item label="断面名称">
            <a-select allow-clear mode="multiple" placeholder="请选择断面名称" v-model:value="where.name">
              <a-select-option v-for="item in sectionInfo" :key="item.sectionName" :value="item.sectionName">
                {{ item.sectionName }}
              </a-select-option>
            </a-select>
          </a-form-item>
          <a-form-item label="河段名称">
            <a-select v-model:value="where.riverLakeLibrary" placeholder="请选择河段名称" allowClear showSearch>
              <a-select-option v-for="item in waterSystemList" :key="item">{{ item }}
              </a-select-option>
            </a-select>
          </a-form-item>
          <a-form-item label="监测类型">
            <a-select v-model:value="where.monitorType" placeholder="请选择监测类型" allowClear showSearch>
              <a-select-option :value="'1'">全因子</a-select-option>
              <a-select-option :value="'2'">纳污红线</a-select-option>
            </a-select>
          </a-form-item>
          <a-form-item label="起始日期:">
            <a-month-picker valueFormat="YYYY-MM" v-model:value="where.startTime"></a-month-picker>
          </a-form-item>
          <a-form-item label="结束日期:">
            <a-month-picker valueFormat="YYYY-MM" v-model:value="where.endTime"></a-month-picker>
          </a-form-item>
          <a-col :lg="6" :md="12" :sm="24" :xs="24">
            <a-form-item class="ele-text-right" :wrapper-col="{ span: 24 }">
              <a-space>
                <a-button type="primary" @click="reload">查询</a-button>
                <a-button @click="reset">重置</a-button>
                <a-button @click="exportFile">导出Excel</a-button>
              </a-space>
            </a-form-item>
          </a-col>
        </a-row>
      </a-form>
      <!-- 表格 -->
      <a-spin :spinning="loading">
        <ele-pro-table ref="table" :datasource="datasource" :columns="columns" :where="where"
          :scroll="{ x: 'max-content' }" @done="(d) => (data = d.data)">
        </ele-pro-table>
      </a-spin>
    </a-card>
  </div>
  <!-- 编辑弹窗 -->
</template>

<script>
  import moment from "moment";
  import {
    listAutoYoy,
  } from "@/api/ecology/river-statis";
  import {
    listInfo
  } from "@/api/ecology/water/river-autonomous";
  import locale from "ant-design-vue/es/date-picker/locale/zh_CN";
  import XLSX from "xlsx";
  export default {
    name: "AutoCollectWater",
    components: {},
    data() {
      return {
        data: [],
        locale,
        datasource: {},
        // 表格数据接口
        // url: autonomyWaterFunctionTotalUrl,
        selection: [],
        // tableColumns,
        // 表格列配置
        columns: [{
            title: "监测断面名称",
            dataIndex: "sectionName",
            sorter: true,
          },
          {
            title: "时间",
            dataIndex: "samplingTime",
            sorter: true,
            customRender: ({text})=> moment(text,"YYYY/MM").format("YYYY-MM")
          },
          {
            title: "水质目标",
            dataIndex: "waterQualityGoal",
            sorter: true,
          },
          {
            title: "水质类别",
            dataIndex: "waterQualityCategory",
            sorter: true,
          },
          {
            title: "达标情况",
            dataIndex: "standard",
            sorter: true,
          },
          {
            title: "达标率",
            dataIndex: "standardRate",
            sorter: true,
          },

        ],
        // 表格搜索条件
        where: {},
        sectionInfo: {},
        loading: false,
        rules: {},
        waterSystemList: [],
      };
    },

    created() {
      listInfo().then((res) => {
        if (res.data.code == 0) {
          console.log(res.data.data)
          this.visibleWater = true;
          this.sectionInfo = res.data.data
          res.data.data.forEach((m) => {
             this.waterSystemList.push(m.riverLakeLibrary);
          })
          this.waterSystemList = [...new Set(this.waterSystemList)];
        } else {
          this.$message.error(res.data.msg);
        }
      })
    },
    methods: {
      /* 刷新表格 */
      reload() {
        this.loading = true;
        listAutoYoy(this.where).then((res) => {
          console.log(res.data.data);
          if (res.data.code == 0) {
              this.datasource = res.data.data;
          } else {
            this.$message.error(res.data.msg);
          }
          this.loading = false;
        });
        this.loading = false;
      },
      /* 重置搜索 */
      reset() {
        this.where = {};
        this.reload();
      },
      /* 导出 */
      exportFile() {
        const columns = this.columns.filter(item => item.dataIndex);
        const arr = [];
        const th = columns.map((item) => item.title);
        arr.push(th);
        this.data.forEach((d) => {
          const td = columns.map((item) => d[item.dataIndex]);
          arr.push(td);
        });

        let sheet = XLSX.utils.aoa_to_sheet(arr);
        this.$util.exportSheet(XLSX, sheet, new Date().getTime().toString());
      }

    },
  };

</script>

<style scoped lang="less">
</style>
